Help
====

**User Manual**

* General functions - first steps
	* [Account Basics](help/Account-Basics)
	* [New User Quick Start](help/Quick-Start-guide)
	* [Creating posts](help/Text_editor)
	* [BBCode tag reference](help/BBCode)
	* [Comment, sort and delete posts](help/Text_comment)
	* [Accesskey reference](help/Accesskeys)
	* [Events](help/events)
* You and other users
	* [Connectors](help/Connectors)
	* [Making Friends](help/Making-Friends)
	* [Safety](help/Safety)
	* [Circles and Privacy](help/Circles-and-Privacy)
	* [Tags and Mentions](help/Tags-and-Mentions)
	* [Community Groups](help/Groups)
	* [Channels](help/Channels)
	* [Chats](help/Chats)
* Further information
	* [Move your account](help/Move-Account)
	* [Export / Import of followed Contacts](help/Export-Import-Contacts)
	* [Delete your account](help/Remove-Account)
	* [Frequently asked questions (FAQ)](help/FAQ)

**Admin Manual**

* [Install](help/Install)
* [Update](help/Update)
* [Settings & Admin Panel](help/Settings)
* [Installing Connectors](help/Installing-Connectors)
* [Install an ejabberd server (XMPP chat) with synchronized credentials](help/install-ejabberd)
* [Using SSL with Friendica](help/SSL)
* [Config values that can only be set in config/local.config.php](help/Config)
* [Improve Performance](help/Improve-Performance)
* [Migrate](help/Migrate)
* [Administration Tools](help/tools)
* [Admin FAQ](help/FAQ-admin)

**Developer Manual**

* [Get started](help/Developers-Intro)
* Set up development environment
	* [Help on GitHub](help/GitHub)
	* [Help on Vagrant](help/Vagrant)
	* [Bugs and Issues](help/Bugs-and-Issues)
* Code structure
    * [Domain-Driven-Design](help/Developer-Domain-Driven-Design)
	* [Addon Development](help/Addons)
	* [Theme Development](help/themes)
	* [Smarty 3 Templates](help/smarty3-templates)
	* [Storage backend addon](help/AddonStorageBackend)
* How To
	* [Translate Friendica](help/translations)
	* [Use Composer](help/Composer)
	* [Move classes to `src`](help/Developer-How-To-Move-Classes-to-src)
	* [Run tests](help/Tests)
* Reference
	* [API endpoints](help/api)
	* [Code (Doxygen generated - sets cookies)](doc/html/)
	* [Protocol Documentation](help/Protocol)
	* [Database schema documentation](help/database)
	* [Class Autoloading](help/autoloader)

**Links**

* Website: [https://friendi.ca](https://friendi.ca)
* Help Group: [@helpers@forum.friendi.ca](https://forum.friendi.ca/~helpers)
* XMPP: [support@forum.friendi.ca](xmpp:support@forum.friendi.ca?join)
* IRC: [https://web.libera.chat/?channels=#friendica](https://web.libera.chat/?channels=#friendica)
* Matrix: [https://matrix.to/#/#friendi.ca:matrix.org](https://matrix.to/#/#friendi.ca:matrix.org)
* Mailing List: [https://mailman.friendi.ca/mailman/listinfo/support-friendi.ca](http://mailman.friendi.ca/mailman/listinfo/support-friendi.ca)


**About**

* [Server Information](friendica)
* [Terms of Service](tos)
* [Credits](credits)
